 
setwd("...")
#run the packages below essential for the model
#
# #====================================Wolf conflict=============================================
#
#
lc <- read.csv("/Data/leopards.csv")
lc <- read.csv("/Data/Wolfs.csv")
View(lc)
names(lc)
attach(lc)
head(lc)
cor(lc[,8:18],method='s')
# cor.test(Poach,Bezoar, method = 's')
# levels(lc)
# table(lc$Eventsh == 0)
# table(lc$Eventsh,lc$Category)
# Abreviations in the column headings of the dataset: 
IUCN: PA-protected area, WR-Wildife Refuge, NP-National Park, NHA-no-hunting area, NPA-non-protected area,
Eventct: Cattle depredation events,Poach-Poaching, DV-dsitance to village, shoat-sheep/goats, Events-depredation events of sheep/goats, Eff- effort kilomtere walked.     
# #======================================== Original model structure======================================
# # Adding offset "Effort" in the model#
c2 <- glm(Eventsh~Bezoar+Fors+Elev+IUCN+Red+Boar+Roe+Poach+Shoat+DV,
          data = lc,
          offset=log(Eff),
          family = poisson)
summary(c2)
# #=============================================================================================
# # check for multicollinearity of the predictors by applying variance inflation factor (vif) ->
# #=============================================================================================
#load the packages 
library(MASS)
library(car)
vif(c2)
#----------------------------------#
# model averaging ->
#----------------------------------#
library(MuMIn)
options(na.action = "na.fail")
mumin21<- dredge (c2, rank='QAICc', chat=deviance(c2) / df.residual(c2))
mumin21
myAvg <- model.avg(mumin2, subset = delta <= 2)
mav2  <- as.data.frame(coefTable(myAvg))
summary(myAvg)
confint(c2)
#--------------------------------------------------#
# Assess the Goodness of fit of the model pseudo-R2 ->

#--------------------------------------------------#
library(pscl)
pR2(c2)
round(pR2(c2),2)
check the significancy of betas based on confidence intervals of the predictors
confint(c2)
#============================================================================================
# Sensitivitiy/Simulation analysis to check for the credibility of the original model outputs ->
#============================================================================================
set.seed(123)
mostimportant <- list()
for (i in 1:99) {
  cat("Calculating", i, "of 99\n")
  # generate vector with random counts
  tab <- leopard
  rc <- rpois(nrow(tab),.2) - rpois(nrow(tab),.2)
  #Substract random vector from data
  tab$Eventsh <- tab$Eventsh - rc
  # Set negative values to zero
  tab[tab$Eventsh < 0,"Eventsh"] <- 0
  # model structure#
  m <- glm(Eventsh~Bezoar+Fors+Elev+IUCN+Red+Boar+Roe+Poach+Shoat+DV,
            data = tab,
            offset=log(Eff),
            family = poisson )
  options(na.action = "na.fail")
  mumin2<- dredge (m, rank='QAICc', chat=deviance(m) / df.residual(m))
  myAvg <- model.avg(mumin2, subset = delta <= 2)
  imp <- rbind(data.frame(imp=c('(Intercept)'=NA)),data.frame(imp=importance(myAvg)))
  coTab <- coefTable(myAvg)
  mostimportant[[i]] <-   cbind(imp,coTab)
  rm(imp,coTab)
}s
#--------------------------------------------------------------------------------------#

